%define kf5mediaplayer_major 5
%define libkf5mediaplayer %mklibname kf5mediaplayer %{kf5mediaplayer_major}
%define kf5mediaplayer_devel %mklibname kf5mediaplayer -d


Summary:        KDE Frameworks 5 Tier 3 module with interface for media player features
Name:           kmediaplayer
Version:        5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  attica-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  kxmlgui-devel >= %version

Obsoletes: plasma-mediacenter


%description
KDE Frameworks 5 Tier 3 module with interface for media player features

%files
%_kf5_servicetypes/*.desktop
%_kf5_libdir/libKF5MediaPlayer.so.%{kf5mediaplayer_major}*

#--------------------------------------------------------------------

%package -n %kf5mediaplayer_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5mediaplayer_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5mediaplayer_devel
%_kf5_includedir/KMediaPlayer

%_kf5_libdir/cmake/KF5MediaPlayer
%_kf5_libdir/*.so
%_datadir/dbus-1/interfaces/kf5_org.kde.KMediaPlayer.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 5.98.0-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 5.98.0-1pclos2022
- new version

* Mon Aug 15 2022 tex - 5.97.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 5.96.0-1pclos2022
- new version

* Mon Jun 13 2022 tex - 5.95.0-1pclos2022
- new version

* Wed May 25 2022 tex - 5.94.0-1pclos2022
- new version

* Sun Apr 10 2022 tex - 5.93.0-1pclos2022
- new version

* Sun Mar 13 2022 tex - 5.92.0-1pclos2022
- new version

* Sun Feb 13 2022 tex - 5.91.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 5.90.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 5.89.0-1pclos2021
- new version

* Wed Nov 10 2021 tex - 5.88.0-1pclos2021
- new version

* Sat Oct 09 2021 tex - 5.87.0-1pclos2021
- new version

* Mon Sep 13 2021 tex - 5.86.0-2pclos2021
- rebuild against updates

* Sat Sep 11 2021 tex - 5.86.0-1pclos2021
- new version

* Wed Aug 11 2021 tex - 5.85.0-1pclos2021
- new version

* Sat Jul 10 2021 tex - 5.84.0-2pclos2021
- obsolete plasma-mediacenter

* Fri Jul 09 2021 tex - 5.84.0-1pclos2021
- new version

* Sat Jun 12 2021 tex - 5.83.0-1pclos2021
- new version

